Update Company
Update a specific Company partially by its unique ID. Only the fields included in the request body are modified.
curl -X PATCH "https://api.getkini.com/companies/123/" \
-H "Content-Type: application/json" \
-H "Company-Id: 123" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "John Doe",
"ats": "bullhorn",
"partner_company_id": "example_string",
"website": "example_string",
"logo": "example_string",
"primary_color": "example_string",
"street": "example_string",
"city": "New York",
"country": "USA",
"postcode": "example_string",
"contact_name": "John Doe",
"contact_email": "user@example.com",
"contact_phone": "+1-555-0123",
"fallback_job": 42
}'
import requests
import json
url = "https://api.getkini.com/companies/123/"
headers = {
"Content-Type": "application/json",
"Company-Id": "123",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "John Doe",
"ats": "bullhorn",
"partner_company_id": "example_string",
"website": "example_string",
"logo": "example_string",
"primary_color": "example_string",
"street": "example_string",
"city": "New York",
"country": "USA",
"postcode": "example_string",
"contact_name": "John Doe",
"contact_email": "user@example.com",
"contact_phone": "+1-555-0123",
"fallback_job": 42
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.getkini.com/companies/123/", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Company-Id": "123",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "John Doe",
"ats": "bullhorn",
"partner_company_id": "example_string",
"website": "example_string",
"logo": "example_string",
"primary_color": "example_string",
"street": "example_string",
"city": "New York",
"country": "USA",
"postcode": "example_string",
"contact_name": "John Doe",
"contact_email": "user@example.com",
"contact_phone": "+1-555-0123",
"fallback_job": 42
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe",
"ats": "bullhorn",
"partner_company_id": "example_string",
"website": "example_string",
"logo": "example_string",
"primary_color": "example_string",
"street": "example_string",
"city": "New York",
"country": "USA",
"postcode": "example_string",
"contact_name": "John Doe",
"contact_email": "user@example.com",
"contact_phone": "+1-555-0123",
"fallback_job": 42
}`)
req, err := http.NewRequest("PATCH", "https://api.getkini.com/companies/123/", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Company-Id", "123")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.getkini.com/companies/123/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Company-Id'] = '123'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "John Doe",
"ats": "bullhorn",
"partner_company_id": "example_string",
"website": "example_string",
"logo": "example_string",
"primary_color": "example_string",
"street": "example_string",
"city": "New York",
"country": "USA",
"postcode": "example_string",
"contact_name": "John Doe",
"contact_email": "user@example.com",
"contact_phone": "+1-555-0123",
"fallback_job": 42
}'
response = http.request(request)
puts response.body
{
"id": 123,
"name": "John Doe",
"slug": "example_string",
"ats": "bullhorn",
"ats_name": "John Doe",
"partner": 42,
"partner_company_id": "example_string",
"website": "example_string",
"logo": "example_string",
"primary_color": "example_string",
"street": "example_string",
"city": "New York",
"country": "USA",
"postcode": "example_string",
"job_sync_active": true,
"candidate_sync_active": true,
"contact_name": "John Doe",
"contact_email": "user@example.com",
"contact_phone": "+1-555-0123",
"jobs_last_synced_at": "2024-12-25T10:00:00Z",
"fallback_job": 42,
"status": "invited",
"is_test": true,
"magic_link": "example_string",
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/companies/{id}/Target server for requests. Edit to use your own host.
Bearer API Key Authentication. Include your API key in the Authorization header.
Unique Kini ID of the company
The media type of the request body
Kini ID of the company the key is associated with
Display name of the company
Slug of the ATS integration this company is linked to (for example bullhorn or workday).
External identifier of the company in the partner's system
Company website URL
URL of the company logo
Hex color used to brand the company's job board
Kini ID of the job used as a fallback when the ATS export fails
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Bearer API Key Authentication. Include your API key in the Authorization header.
Path Parameters
Unique Kini ID of the company
Headers
Kini ID of the company the key is associated with
Body
Display name of the company
Slug of the ATS integration this company is linked to (for example bullhorn or workday).
bullhornExternal identifier of the company in the partner's system
Company website URL
URL of the company logo
Hex color used to brand the company's job board
Kini ID of the job used as a fallback when the ATS export fails
Responses
Unique Kini ID of the company
Display name of the company
URL-friendly slug of the company
Slug of the ATS integration the company is linked to
bullhorneploygreenhouseharvestheyrecruitjobylonoracle-taleorecruiteesmartrecruitersteamtailorumantisworkableworkdayzvooveHuman-readable name of the linked ATS
Kini ID of the owning partner
External identifier of the company in the partner's system
Company website URL
URL of the company logo
Hex color used to brand the company's job board
Whether the company's job synchronization is activated
Whether the company's candidate synchronization is activated
Timestamp of the last successful job sync
Kini ID of the job used as a fallback when the ATS export fails
Lifecycle status of the company
invitedrequestedactivefailingdeactivateddeletedWhether the company is marked as a test record
URL of the active magic link for the company, if any
Timestamp of when the company was first created
Timestamp of when the company was last updated